Репозиторий Sisyphus
Последнее обновление: 14 августа 2020 | Пакетов: 17678 | Посещений: 19046627
en ru br
Репозитории ALT

Группа :: Система/Настройка/Прочее
Пакет: installer-distro-alt-server-v

 Главная   Изменения   Спек   Патчи   Sources   Загрузить   Gear   Bugs and FR  Repocop 


id пакета статус тест сообщение
installer-distro-alt-server-v-stage2-9.0.1-alt1.noarch
fail
unsafe-tmp-usage-in-scripts The test discovered scripts with errors which may be used by a user for damaging important system files. For example if a script uses in its work a temp file which is created in /tmp directory, then every user can create symlinks with the same name (pattern) in this directory in order to destroy or rewrite some system or another user's files. Scripts _must_ _use_ mktemp/tempfile or must use $TMPDIR. mktemp/tempfile is safest. $TMPDIR is safer than /tmp/ because libpam-tmpdir creates a subdirectory of /tmp that is only accessible by that user, and then sets TMPDIR and other variables to that. Hence, it doesn't matter nearly as much if you create a non-random filename, because nobody but you can access it. Found error in /usr/share/install2/initinstall.d/05-vm-profile: $ grep -A5 -B5 /tmp/ /usr/share/install2/initinstall.d/05-vm-profile #!/bin/sh # see also http://www.altlinux.org/Autoinstall message() { echo "vm-profile: $*" >>/tmp/vm-profile.log; } mem="$(sed -n '/^MemTotal/s/[^0-9]//g... [the rest of the message is skipped]
installer-distro-alt-server-v-stage2-9.0.1-alt1.noarch
warn
rpm-filesystem-conflict-file-file There are file conflicts with the package installer-distro-alt-workstation-stage2-9.0.0-alt1.noarch, for example, /usr/share/install2/alterator-menu/module-expert-list (4 file conflicts in total). Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives. There are file conflicts with the package installer-distro-altlinux-desktop-stage2-8.1.0-alt1.noarch, for example, /usr/share/install2/alterator-menu/module-expert-list (4 file conflicts in total). Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives. Files /usr/share/install2/alterator-menu/module-expert-list /usr/share/install2/alterator-menu/module-order-list /usr/share/install2/installer-steps conflict with the package installer-distro-altlinux-generic-stage2-7.0.3-alt1.noarch. Moreover, the packages have no explicit conf... [the rest of the message is skipped]
installer-distro-alt-server-v-stage3-9.0.1-alt1.noarch
ok
checkbashisms
installer-distro-alt-server-v-stage3-9.0.1-alt1.noarch
ok
buildroot
installer-distro-alt-server-v-stage3-9.0.1-alt1.noarch
ok
unsafe-tmp-usage-in-scripts
installer-distro-alt-server-v-stage3-9.0.1-alt1.noarch
ok
sisyphus_check
installer-distro-alt-server-v-stage2-9.0.1-alt1.noarch
ok
checkbashisms
installer-distro-alt-server-v-stage2-9.0.1-alt1.noarch
ok
buildroot
installer-distro-alt-server-v-stage2-9.0.1-alt1.noarch
ok
sisyphus_check
 
дизайн и разработка: Vladimir Lettiev aka crux © 2004-2005, Andrew Avramenko aka liks © 2007-2008
текущий майнтейнер: Michael Shigorin